Summary:	Potrace - a utility for tracing a bitmap
Summary(pl.UTF-8):	Potrace - narzędzie służące do "trasowania" bitmap
Name:		potrace
Version:	1.16
Release:	1
License:	GPL v2+
Group:		Applications/Graphics
#Source0Download: http://potrace.sourceforge.net/
Source0:	http://potrace.sourceforge.net/download/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	5f0bd87ddd9a620b0c4e65652ef93d69
URL:		http://potrace.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtool >= 2:2.0
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Potrace is a utility for tracing a bitmap, which means, transforming a
bitmap into a smooth, scalable image. The input is a portable bitmap
(PBM), and the default output is an encapsulated PostScript file
(EPS).

%description -l pl.UTF-8
Potrace jest narzędziem służącym do "trasowania" bitmap, czyli
konwertowania obrazów rastrowych do gładkich i skalowanych obrazów
wektorowych. Wejściem dla programu jest przenośna bitmapa (PBM), a
domyślnym wyjściem jest plik encapsulated PostScript (EPS).

%package devel
Summary:	Header file for potrace library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki potrace
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header file for potrace library.

%description devel -l pl.UTF-8
Plik nagłówkowy biblioteki potrace.

%package static
Summary:	Static potrace library
Summary(pl.UTF-8):	Statyczna biblioteka potrace
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static potrace library.

%description static -l pl.UTF-8
Statyczna biblioteka potrace.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-a4 \
	--enable-metric \
	--with-libpotrace

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README doc/placement.pdf
%attr(755,root,root) %{_bindir}/mkbitmap
%attr(755,root,root) %{_bindir}/potrace
%attr(755,root,root) %{_libdir}/libpotrace.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpotrace.so.0
%{_mandir}/man1/mkbitmap.1*
%{_mandir}/man1/potrace.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpotrace.so
%{_libdir}/libpotrace.la
%{_includedir}/potracelib.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libpotrace.a
%changelog
* Wed Oct 30 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/potrace.git;a=log;h=master

* Wed Oct 30 2019 Jakub Bogusz <qboosh@pld-linux.org> 274702b
- updated to 1.16

* Fri May 24 2019 Jakub Bogusz <qboosh@pld-linux.org> a64dd98
- updated to 1.15 (fixes CVE-2017-12067)

* Wed Jun 28 2017 Jakub Bogusz <qboosh@pld-linux.org> 5b05775
- updated to 1.14 (fixes CVE-2016-8685 CVE-2016-8686)

* Wed Apr 22 2015 Jakub Bogusz <qboosh@pld-linux.org> a78beeb
- updated to 1.12

* Mon Mar 18 2013 Jan Rękorajski <baggins@pld-linux.org> 3262391
- rel 2
- fix copy-pasto in internal reqs

* Sun Feb 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 943defe
- updated to 1.11
- build libpotrace

* Sat Aug 20 2011 Jakub Bogusz <qboosh@pld-linux.org> 4b3a52c
- updated to 1.10

* Sun Jan 09 2011 Jakub Bogusz <qboosh@pld-linux.org> 9e15e43
- updated to 1.9
- removed obsolete xfig patch

* Tue Oct 05 2010 Tomasz Pala <gotar@pld-linux.org> 665c0d5
- http://potrace.sourceforge.net/download/potrace-1.8-xfig.patch:
May 22, 2007: Updated XFig backend.  The following patch  to Potrace 1.8 improves the XFig output by adding a depth setting to the spline components. This prevents them from floating to the background when editing. Thanks to Rafael Laboissiere for suggesting this.

* Tue Oct 05 2010 Tomasz Pala <gotar@pld-linux.org> bfbdeb7
- added XFig backend patch, rel. 2

* Thu Oct 16 2008 Jakub Bogusz <qboosh@pld-linux.org> d0678a2
- updated to 1.8

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 908b2f4
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ef7d371
- converted to UTF-8

* Sun Mar 06 2005 yogib <yogib@pld-linux.org> bddd0a8
- updated to 1.7

* Thu Mar 03 2005 Jakub Bogusz <qboosh@pld-linux.org> 12a8b9b
- updated to 1.6

* Mon Feb 21 2005 Roman Werpachowski <roman.werpachowski@gmail.com> 4c52912
- changed Group to Applications/Graphics

* Sun Oct 24 2004 paladine <paladine@pld-linux.org> 7ab5619
- spelling fixes, uppercases, etc.

* Sun Aug 01 2004 Jakub Bogusz <qboosh@pld-linux.org> 8d6ecd9
- updated to 1.5, ncompress dep is no more

* Sun Mar 07 2004 yogib <yogib@pld-linux.org> e2eb612
- 1.4

* Thu Jan 15 2004 yogib <yogib@pld-linux.org> f9579e5
- up to 1.3

